#504 CRASH while clearing upload history (and rebuilding library)

Future
closed-fixed
nobody
None
5
2012-03-16
2012-03-10
Erhard F.
No

During rebuilding my library I wanted to clear the upload history -> gtk-gnutella crashed. After a restart, the library was however clear. logs and core available.

12-03-10 12:57:34 (FATAL): Assertion failure in src/lib/atoms.c:871: "key != NULL"
atom_get+338
upload_stats_gui_add+165
upload_stats_update_model+9
hset_foreach_remove+151
upload_stats_common_gui_timer+111
main_gui_timer+118
main_timer+1576
cq_periodic_trampoline+103
cq_expire+122
cq_heartbeat_trampoline+293
0x7ffea408e3bd
0x7ffea408d312
0x7ffea408d8d9
0x7ffea408dd7d
0x7ffea6528e6f
main_gui_run+274
main+2403
12-03-10 12:57:34 CRASH (pid=29978) for gtk-gnutella/0.98.3u-345-g657c4-dirty (2012-03-07; GTK2; Linux x86_64)
12-03-10 12:57:34 CRASH (pid=29978) by SIGABRT after 2d 11h
12-03-10 12:57:34 CRASH (pid=29978) end of line.

Discussion

  • Erhard F.

    Erhard F. - 2012-03-10

    out and err

     
  • Raphael Manfredi

    Can you please also upload the crashlog file:
    gtk-gnutella-0.98.3-r247-crash.4f4bebd5.7747.log

     
  • Erhard F.

    Erhard F. - 2012-03-10

    Sorry, gtk-gnutella didn't write a crashlogin in .gtk-gnutella/crashes. And the old crashlogs I deleted a few days ago.

     
  • Raphael Manfredi

    Should be fixed by commit 0b53c3ea0203774d84a87a401c9785836de84043.

    Please verify that it no longer crashes for you and re-open a new bug if it still crashes.

     
  • Raphael Manfredi

    • status: open --> closed-fixed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks